# QueryChain Class Reference
[Dynamic query builder]

Inheritance diagram for QueryChain:
[legend]

List of all members.

## Public Member Functions

| toBoolean (Form $form)
| union (SelectQuery $query)
| unionAll (SelectQuery $query)
| intersect (SelectQuery $query)
| intersectAll (SelectQuery $query)
| except (SelectQuery $query)
| exceptAll (SelectQuery $query)

## Static Public Member Functions

static | block ($args, $logic)

## Detailed Description

Definition at line 15 of file QueryChain.class.php.

## Member Function Documentation

static QueryChain::block | ( | $ | args,
|  | $ | logic |
| ) |  |  | `[static]`

Returns:
  QueryChain

Definition at line 25 of file QueryChain.class.php.

References $args, and SQLChain::$logic.

Referenced by CombineQuery::exceptAllBlock(), CombineQuery::exceptBlock(), CombineQuery::intersectAllBlock(), CombineQuery::intersectBlock(), CombineQuery::unionAllBlock(), and CombineQuery::unionBlock().

QueryChain::except | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 76 of file QueryChain.class.php.

References CombineQuery::EXCEPT, and SQLChain::exp().

Here is the call graph for this function:

QueryChain::exceptAll | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 84 of file QueryChain.class.php.

References CombineQuery::EXCEPT_ALL, and SQLChain::exp().

Here is the call graph for this function:

QueryChain::intersect | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 60 of file QueryChain.class.php.

References SQLChain::exp(), and CombineQuery::INTERSECT.

Here is the call graph for this function:

QueryChain::intersectAll | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 68 of file QueryChain.class.php.

References SQLChain::exp(), and CombineQuery::INTERSECT_ALL.

Here is the call graph for this function:

QueryChain::toBoolean | ( | Form $ | form | ) |

Definition at line 17 of file QueryChain.class.php.

QueryChain::union | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 44 of file QueryChain.class.php.

References SQLChain::exp(), and CombineQuery::UNION.

Here is the call graph for this function:

QueryChain::unionAll | ( | SelectQuery $ | query | ) |

Returns:
  QueryChain

Definition at line 52 of file QueryChain.class.php.

References SQLChain::exp(), and CombineQuery::UNION_ALL.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/OSQL/QueryChain.class.php